AOS.init();
new Splide("#image-carousel", {
    pagination: false,
    autoplay: true,
    arrows: false,
}).mount();
new Splide("#project-1").mount();
new Splide("#project-2").mount();
const navbar = document.querySelector(".navbar");
const collapse = document.querySelector(".navbar-collapse");

collapse.addEventListener("show.bs.collapse", () => {
    navbar.classList.add("menu-open");
});

collapse.addEventListener("hide.bs.collapse", () => {
    navbar.classList.remove("menu-open");
});

// Example starter JavaScript for disabling form submissions if there are invalid fields
(() => {
    "use strict";

    // Fetch all the forms we want to apply custom Bootstrap validation styles to
    const forms = document.querySelectorAll(".needs-validation");

    // Loop over them and prevent submission
    Array.from(forms).forEach((form) => {
        form.addEventListener(
            "submit",
            (event) => {
                if (!form.checkValidity()) {
                    event.preventDefault();
                    event.stopPropagation();
                }

                form.classList.add("was-validated");
            },
            false,
        );
    });
})();
